Commit 36f91a80 authored by Matthias Clasen's avatar Matthias Clasen

Fix build against NetworkManager on Debian

Add more complete list of dependencies for the network panel.
https://bugzilla.gnome.org/show_bug.cgi?id=646349
parent a42e2b98
...@@ -124,8 +124,10 @@ GDESKTOP_PREFIX=`$PKG_CONFIG --variable prefix gsettings-desktop-schemas` ...@@ -124,8 +124,10 @@ GDESKTOP_PREFIX=`$PKG_CONFIG --variable prefix gsettings-desktop-schemas`
AC_SUBST(GDESKTOP_PREFIX) AC_SUBST(GDESKTOP_PREFIX)
# Check for NetworkManager ~0.9 # Check for NetworkManager ~0.9
PKG_CHECK_MODULES(NETWORK_MANAGER, libnm-glib >= $NETWORK_MANAGER_REQUIRED_VERSION, PKG_CHECK_MODULES(NETWORK_MANAGER, NetworkManager >= $NETWORK_MANAGER_REQUIRED_VERSION
[have_networkmanager=yes], have_networkmanager=no) libnm-glib >= $NETWORK_MANAGER_REQUIRED_VERSION
libnm-util >= $NETWORK_MANAGER_REQUIRED_VERSION,
[have_networkmanager=yes], have_networkmanager=no)
if test "x$have_networkmanager" = xno ; then if test "x$have_networkmanager" = xno ; then
AC_MSG_WARN(*** Network panel will not be built (NetworkManager ~0.9 or newer not found) ***) AC_MSG_WARN(*** Network panel will not be built (NetworkManager ~0.9 or newer not found) ***)
fi fi
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment